@VctorIAN

(Оптимизация i18n) Почему yarn ругается на i18n?

Здравствуйте, для оптимизации полученого билда i18n рекомендуэт использовать режим работы vue-i18n.runtime.esm-bundler.js
https://vue-i18n.intlify.dev/guide/advanced/optimi...
Для этого в vue.conf.js (в случае vue) внутри module.exports создается
resolve: {
    alias: {
      'vue-i18n': 'vue-i18n.esm-bundler.js'
    }
  },

однако при попытке yarn lint я получаю
yarn run v1.22.10
$ vue-cli-service lint
 ERROR  Invalid options in vue.config.js: "resolve" is not allowed
error Command failed with exit code 1.
info Visit https://yarnpkg.com/en/docs/cli/run for documentation about this command.

Что можно придумать чтоб это исправить...
  • Вопрос задан
  • 22 просмотра
Пригласить эксперта
Ответы на вопрос 1
@twolegs
Вебпак конфигурируется в другом поле, отсюда и ошибка.
https://cli.vuejs.org/config/#configurewebpack
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы